ALAS-2016-651


Amazon Linux AMI Security Advisory: ALAS-2016-651
Advisory Release Date: 2016-02-09 13:30 Pacific
Severity: Medium
References: CVE-2015-7575 

Issue Overview:

A flaw was found in the way TLS 1.2 could use the MD5 hash function for signing ServerKeyExchange and Client Authentication packets during a TLS handshake. A man-in-the-middle attacker able to force a TLS connection to use the MD5 hash function could use this flaw to conduct collision attacks to impersonate a TLS server or an authenticated TLS client. (CVE-2015-7575 )


Affected Packages:

gnutls


Issue Correction:
Run yum update gnutls to update your system.

New Packages:
i686:
    gnutls-debuginfo-2.8.5-19.15.amzn1.i686
    gnutls-guile-2.8.5-19.15.amzn1.i686
    gnutls-2.8.5-19.15.amzn1.i686
    gnutls-utils-2.8.5-19.15.amzn1.i686
    gnutls-devel-2.8.5-19.15.amzn1.i686

src:
    gnutls-2.8.5-19.15.amzn1.src

x86_64:
    gnutls-guile-2.8.5-19.15.amzn1.x86_64
    gnutls-devel-2.8.5-19.15.amzn1.x86_64
    gnutls-2.8.5-19.15.amzn1.x86_64
    gnutls-debuginfo-2.8.5-19.15.amzn1.x86_64
    gnutls-utils-2.8.5-19.15.amzn1.x86_64